-Amélioré fonctions de download des packages
[hvlinux.git] / stage5 / pkg / apache
index 2aa25e1..ab03860 100644 (file)
@@ -1,54 +1,51 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-groupadd -f ${APACHE_USER}
-hv_useradd -c WebServer -d /dev/null -g ${APACHE_USER} -s /bin/false ${APACHE_USER}
-
-cd ${LFS_TMP}/${1}-build
-../${1}/configure \
-    --enable-layout=FHS \
-    --enable-mods-shared=all \
-    --enable-ssl \
-    --with-z
-#    --enable-rewrite \
-#    --enable-deflate \
-#    --enable-dav \
-make
-make install
-
-# There's a problem with the ISAPI DSO module caused from compiling with GCC-4.1.2.
-# Commenting out the module from the configuration:
-if grep "LoadModule isapi_module" /etc/apache/httpd.conf 1> /dev/null 2>&1; then
-    sed -i -e "s/^LoadModule isapi_module/# &/" /etc/apache/httpd.conf
-fi
-
-# Modifying the listening port if an alternate one is specified.
-if [ -n "${HTTPD_PORT}" ]; then
-    if ! grep "Listen ${HTTPD_PORT}" /etc/apache/httpd.conf 1> /dev/null 2>&1; then
-       # Adding alternate port to default port of 80
-       sed -i -e "s%\(Listen 80\)%\1\nListen ${HTTPD_PORT}%" /etc/apache/httpd.conf
+#!/bin/bash
+
+hvconfig_pre()
+{
+    groupadd -f ${APACHE_USER}
+    hv_useradd -c WebServer -d /dev/null -g ${APACHE_USER} -s /bin/false \
+        ${APACHE_USER}
+
+    CONFIGURE_OPTS=" \
+        ${CONFIGURE_OPTS} \
+        --enable-layout=FHS \
+        --enable-mods-shared=all \
+        --enable-ssl \
+        --with-z"
+    #    --enable-rewrite \
+    #    --enable-deflate \
+    #    --enable-dav \
+}
+
+hvbuild_post()
+{
+    # There's a problem with the ISAPI DSO module caused from compiling with
+    # GCC-4.1.2.
+    # Commenting out the module from the configuration:
+    if grep "LoadModule isapi_module" /etc/apache/httpd.conf \
+        1> /dev/null 2>&1; then
+        sed -i -e "s/^LoadModule isapi_module/# &/" /etc/apache/httpd.conf
     fi
-fi
 
-# Modifying the configuration file to run the server as a dedicated user:
-sed -i \
-    -e "s!^\(User\).*!\1 ${APACHE_USER}!g" \
-    -e "s!^\(Group\).*!\1 ${APACHE_USER}!g" \
-    /etc/apache/httpd.conf
+    # Modifying the listening port if an alternate one is specified.
+    if [ -n "${HTTPD_PORT}" ]; then
+        if ! grep "Listen ${HTTPD_PORT}" /etc/apache/httpd.conf \
+            1> /dev/null 2>&1; then
+            # Adding alternate port to default port of 80
+           sed -i -e "s%\(Listen 80\)%\1\nListen ${HTTPD_PORT}%" \
+                /etc/apache/httpd.conf
+        fi
+    fi
+
+    # Modifying the configuration file to run the server as a dedicated user:
+    sed -i \
+        -e "s!^\(User\).*!\1 ${APACHE_USER}!g" \
+        -e "s!^\(Group\).*!\1 ${APACHE_USER}!g" \
+        /etc/apache/httpd.conf
 
-# SSL Certificates generation script
-cat > /etc/apache/generate-ssl-certs << "EOF"
-#!/bin/sh
+    # SSL Certificates generation script
+    cat > /etc/apache/generate-ssl-certs << "EOF"
+#!/bin/bash
 
 # Creation of SSL directories for Apache
 cd /etc/apache
@@ -99,25 +96,24 @@ openssl x509 -req -days 10000 -in server.csr -signkey server.key -out server.crt
 exit $?
 EOF
 
-chmod 740 /etc/apache/generate-ssl-certs
+    chmod 740 /etc/apache/generate-ssl-certs
 
-mkdir -p /etc/apache/ssl
-cp /etc/apache/extra/httpd-ssl.conf /etc/apache/ssl/ssl.conf
+    mkdir -p /etc/apache/ssl
+    cp /etc/apache/extra/httpd-ssl.conf /etc/apache/ssl/ssl.conf
 
-sed -i -e "s!^<IfModule ssl_module>!<IfModule ssl_module>\n  Include /etc/apache/ssl/ssl.conf!" /etc/apache/httpd.conf
+    sed -i -e "s!^<IfModule ssl_module>!<IfModule ssl_module>\n  Include /etc/apache/ssl/ssl.conf!" /etc/apache/httpd.conf
 
-mkdir -p /srv/www/htdocs/ssl
-chown apache:apache /srv/www/htdocs/ssl
+    mkdir -p /srv/www/htdocs/ssl
+    chown apache:apache /srv/www/htdocs/ssl
 
-sed -i -e "s!^DocumentRoot .*!DocumentRoot /srv/www/htdocs/ssl!" /etc/apache/ssl/ssl.conf
-sed -i -e "s!^ServerName .*:443!ServerName www.${DOMAIN}:443!" /etc/apache/ssl/ssl.conf
-sed -i -e "s!^ServerAdmin .*!ServerAdmin webmaster@${DOMAIN}!" /etc/apache/ssl/ssl.conf
-sed -i -e "s!/etc/apache!/etc/apache/ssl!" /etc/apache/ssl/ssl.conf
+    sed -i -e "s!^DocumentRoot .*!DocumentRoot /srv/www/htdocs/ssl!" /etc/apache/ssl/ssl.conf
+    sed -i -e "s!^ServerName .*:443!ServerName www.${DOMAIN}:443!" /etc/apache/ssl/ssl.conf
+    sed -i -e "s!^ServerAdmin .*!ServerAdmin webmaster@${DOMAIN}!" /etc/apache/ssl/ssl.conf
+    sed -i -e "s!/etc/apache!/etc/apache/ssl!" /etc/apache/ssl/ssl.conf
 
-# Bootscript
-install -v -m740 ${SCRDIR}/bootscripts/apache /etc/rc.d/init.d
+    # Bootscript
+    install -v -m740 ${SCRDIR}/bootscripts/apache /etc/rc.d/init.d
 
-# script-name start stop
-bootscript_add_rc3 apache 70 20
-
-exit $?
+    # script-name start stop
+    bootscript_add_rc3 apache 70 20
+}